// var web_url_prefix = "http://115.28.180.99:8080/petcircle-app-web/rest/app/";
// //var web_url_prefix = "http://10.10.1.8:8080/petcircle-app-web/rest/app/";
// var img_url_prefix = "http://115.28.180.99:8080/petcircle-app-web/";
// var portraitURL = "http://115.28.180.99:8080/petcircle-app-web/portrait/";

var web_url_prefix = "http://112.124.42.49:8080/petcircle-app-web/rest/app/"
var img_url_prefix = "http://112.124.42.49:8080/petcircle-app-web/";
var portraitURL = "http://112.124.42.49:8080/petcircle-app-web/portrait/";

function serialize(obj) {
    var str = $(obj).serialize();
    str = str.replace(/&/g, "','");
    str = str.replace(/=/g, "':'");
    str = "({'"+str +"'})";
    str = eval(str);
    return str;
}

function json2Str(obj){
    return JSON.stringify(obj);
}


function getImgHref(src) {
    var imgUrl = "";
    if (src.indexOf('http://') == -1) {
        imgUrl = img_url_prefix + src;
    } else {
        imgUrl = src;
    }
    return imgUrl;
}

function closeWin() {
    appcan.window.close(-1);
}

function log(info) {
    console.log(info);
    if (uexLog) {
        uexLog.sendLog(info);
    }
}

function extend(target, source) {
    for (var p in source) {
        if (source.hasOwnProperty(p)) {
            target[p] = source[p];
        }
    }

    return target;
};

function openLoading(info) {
    var msg='正在加载...';
    if (info) {
        msg=info;
    }
    appcan.window.openToast({
        msg : msg,
        duration : -1,
        position : 5,
        type : 1
    });
}

function closeToast() {
    appcan.window.closeToast();
}

function getUserInfoByPhone(phone, successFunc) {
    var opt = {
        "url":"/user/getUserInfoByPhone",
        data:{"phone":phone},
        successx:successFunc?successFunc:function(){}
    };
    ajax(opt);
}

function ajax(opt) {
    var defaultOpt = {
        url : "",
        type:"GET",
        data : {},
        dataType : 'json',
        timeout : 2000000, //超时时间
        loading:true,
        cache:false,
        error : function(xhr, type) {
            closeToast();
            alert('连接超时，请检查你的网络设置!');
        }
    };
    opt.url=web_url_prefix+opt.url;
    opt=extend(defaultOpt, opt);
    log("start request:"+opt.url+"--||--"+opt.type);
    log("request data:"+JSON.stringify(opt.data));
    if(opt.loading){
        opt.beforeSend=function(xhr, settings){
          openLoading();
        };
    }
    if(opt.successx){
        opt.success=function(data,status){
            closeToast();
            if(status!="success"){
                alert('Server error!');
                return;
            }
            log(JSON.stringify(data));
            opt.successx(data);
        };
    }
    appcan.request.ajax(opt);
}

function getUserId() {
	var userInfo = eval("(" + appcan.locStorage.getVal("userInfo") + ")");
	if (userInfo == null || userInfo == "" || userInfo == "undefined") {
		return 0;
	}else{
		return userInfo.user_id;
	}
}