//var ip="115.28.180.99";
var ip="112.124.42.49";
var port="8080";
var appName="petcircle-app-web";
var serverURL = "http://"+ip+":"+port+"/"+appName+"/rest/app";
var portraitURL = "http://"+ip+":"+port+"/"+appName+"/portrait/";
var uploadAudioURL = "http://"+ip+":"+port+"/"+appName+"/uploadAudio.jsp";
var audioURL = "http://"+ip+":"+port+"/"+appName+"/audio/";




function log(info) {
    console.log(info);
    if (uexLog) {
        uexLog.sendLog(info);
    }
}
function alertX(content){
    appcan.window.alert("提示",content);
}
function extend(target, source) {
    for (var p in source) {
        if (source.hasOwnProperty(p)) {
            target[p] = source[p];
        }
    }

    return target;
};

function openWin(opt) {
    var defaultOpt = {
        name : opt.name,
        dataType : 0,
        type : 0,
        aniId : 2,
        data : opt.name + ".html",
        extraInfo : {

        }
    };
    opt=extend(defaultOpt,opt);
    log(opt);
    appcan.window.open(opt);
}

function closeWin() {
    appcan.window.close(-1);
}

function openLoading(info) {
    var msg='正在加载...';
    if (info) {
        msg=info;
    }
    appcan.window.openToast({
        msg : msg,
        duration : -1,
        position : 5,
        type : 1
    });
}

function closeToast() {
    appcan.window.closeToast();
}

function ajax(opt) {
    var defaultOpt = {
        url : "",
        type:"GET",
        data : {},
        dataType : 'json',
        timeout : 15000, //超时时间
        loading:true,
        cache:false,
        error : function(xhr, type) {
            closeToast();
            alert('Ajax error!');
        }
    };
    opt.url=serverURL+opt.url;
    opt=extend(defaultOpt, opt);
    log("start request:"+opt.url+"--||--"+opt.type);
    log("request data:"+JSON.stringify(opt.data));
    if(opt.loading){
        opt.beforeSend=function(xhr, settings){
          openLoading();
        };
    }
    if(opt.successx){
        opt.success=function(data,status){
            closeToast();
            if(status!="success"){
                alert('Server error!');
                return;
            }
            log(JSON.stringify(data));
            opt.successx(data);
        }
    }
    appcan.request.ajax(opt);
}
function getFormField(selector){
    var arr=$(selector).serializeArray();
    var param={};
    for (var i=0; i < arr.length; i++) {
        var p=arr[i];
        param[p.name]=p.value;
    }
    return param;
}
function setWinParam(param){
    localStorage.winParam=null;
    localStorage.winParam=JSON.stringify(param);
}
function getWinParam(){
    var p=null;
    if(localStorage.winParam){
        p=JSON.parse(localStorage.winParam);
        // localStorage.winParam=null;
    }
    return p;
}
function setUserId(userId){
    localStorage.currentUserId=userId;
}
function getUserId(){
    return localStorage.currentUserId;
}







function initBounce(funcTop, funcBottom){
    uexWindow.setBounce("1");
    if (!funcTop && !funcBottom) {
        uexWindow.showBounceView("0", "rgba(255,255,255,0)", "0");
        uexWindow.showBounceView("1", "rgba(255,255,255,0)", "0");
        return;
    }
    var top = 0, btm = 1;
    uexWindow.onBounceStateChange = function(type, state){
    
        if (type == top && state == 2) { //顶部弹动
            funcTop();
            uexWindow.resetBounceView("0");
        }
        if (type == btm && state == 2) { //底部弹动
            funcBottom();
            uexWindow.resetBounceView("1");
        }
        
    }
    if (funcTop) {
        uexWindow.setBounceParams('0', "{'pullToReloadText':'下拉刷新','releaseToReloadText':'释放刷新','loadingText':'正在刷新，请稍候'}");
        uexWindow.showBounceView(top, "rgba(255,255,255,0)", 1);
        uexWindow.notifyBounceEvent(top, 1);
    }
    if (funcBottom) {
        uexWindow.setBounceParams('1', "{'pullToReloadText':'加载更多','releaseToReloadText':'加载更多','loadingText':'加载中，请稍候'}");
        uexWindow.showBounceView(btm, "rgba(255,255,255,0)", 1); //设置弹动位置及效果([1:显示内容;0:不显示])
        uexWindow.notifyBounceEvent(btm, 1); //注册接收弹动事件([0:不接收onBounceStateChange方法回调;1:接收])
    }
}